curl --request POST \
--url 'https://api.scanova.io/lead/analytics/export/?file_format=xlsx&from=2026-08-01&to=2026-08-31' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "q": ["L9c2f4a1e"] }' \
--output lead_analytics.xlsx
潜在客户与表单
导出潜在客户分析
POST /lead/analytics/export/
POST
/
lead
/
analytics
/
export
/
curl --request POST \
--url 'https://api.scanova.io/lead/analytics/export/?file_format=xlsx&from=2026-08-01&to=2026-08-31' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "q": ["L9c2f4a1e"] }' \
--output lead_analytics.xlsx
将潜在客户分析(全部三种细分:条目计数、转化和来源)下载为文件。
响应是文件下载 ——
需要具有
MANAGEMENT_API(或 MANAGEMENT_API_SANDBOX)配额和 LEAD_GENERATION_ANALYTICS_CAN_VIEW 权限的管理 API 密钥,作为原始 Authorization 标头值发送 —— 参见管理 API 概述。string
默认值:"lead_id"
lead_id(默认)或 qr_hash。string
默认值:"csv"
csv(每种细分一个 CSV 的 ZIP 压缩包),或 xls/xlsx(包含三张工作表的工作簿)。string
起始日期(
YYYY-MM-DD)。默认为 to 之前 7 天。string
结束日期(
YYYY-MM-DD)。默认为今天。curl --request POST \
--url 'https://api.scanova.io/lead/analytics/export/?file_format=xlsx&from=2026-08-01&to=2026-08-31' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "q": ["L9c2f4a1e"] }' \
--output lead_analytics.xlsx
csv 对应 application/zip,带有 Content-Disposition: attachment; filename=lead_analytics.zip;xls/xlsx 对应 XLSX MIME 类型,带有 filename=lead_analytics.xlsx。与获取潜在客户分析不同,没有 type 筛选 —— 导出始终包含全部三种细分。
如果 file_format 无法识别,则返回带纯文本正文的 400:
400
{ "detail": "Invalid file format" }
相关内容
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
200
ZIP of CSVs or a multi-sheet XLSX file download.
此页面对您有帮助吗?